/*
 * Copyright @ 2012 Nokia Corporation. All rights reserved. Nokia and Nokia
 * Connecting People are registered trademarks of Nokia Corporation. Oracle and
 * Java are trademarks or registered trademarks of Oracle and/or its affiliates.
 * Other product and company names mentioned herein may be trademarks or trade
 * names of their respective owners. See LICENSE.TXT for license information.
 */
package com.nokia.example.btsppecho;

import javax.microedition.lcdui.Alert;
import javax.microedition.lcdui.AlertType;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Image;

class ErrorScreen
        extends Alert {

    private static Image image;
    private static Display display;
    private static ErrorScreen instance = null;

    private ErrorScreen() {
        super("Error");
        setType(AlertType.ERROR);
        setTimeout(2000);
        setImage(image);
    }

    static void init(Image img, Display disp) {
        image = img;
        display = disp;
    }

    static void showError(String message, Displayable next) {
        if (instance == null) {
            instance = new ErrorScreen();
        }
        if (message == null) {
            message = "";
        }

        instance.setString(message);
        display.setCurrent(instance, next);
    }
}